package de.hdm_stuttgart.battlearena.Controller;

import javafx.animation.ScaleTransition;
import javafx.scene.control.Button;
import javafx.scene.control.skin.ButtonSkin;
import javafx.util.Duration;

public class ButtonTransitionScale extends ButtonSkin {
    public ButtonTransitionScale(Button button) {
        super(button);
//        set transition for mouse hovering over button
        final ScaleTransition fadeIn = new ScaleTransition(Duration.millis(150));
        fadeIn.setNode(button);
        fadeIn.setByX(0.1);
        fadeIn.setByY(0.1);
        button.setOnMouseEntered(e -> fadeIn.playFromStart());

//        set transition for mouse exiting buttonButtonTransitionScale
        final ScaleTransition fadeOut = new ScaleTransition(Duration.millis(150));
        fadeOut.setNode(button);
        fadeOut.setByX(-0.1);
        fadeOut.setByY(-0.1);
        button.setOnMouseExited(e -> fadeOut.playFromStart());

        button.setScaleX(1.0);
    }
}
